Cyberduck Mountain Duck CLI

#3074 closed defect (fixed)

Incomplete path in Web URLs for restored sessions

Reported by: jurassic@… Owned by: dkocher
Priority: normal Milestone: 3.7
Component: interface Version: 3.1.2
Severity: normal Keywords: Info, URL
Cc: whschultz@… Architecture: PPC
Platform: Mac OS X 10.5

Description

Web URL which is visible in the Info window often doesn't include the enclosing folder name into the URL. When the URL is copied, this missing part (indicated in a separate 'Where' line) needs to be added manually, which is not too user friendly.

Change History (12)

comment:1 Changed on Mar 20, 2009 at 9:01:50 PM by dkocher

This was fixed recently for WebDAV. Do you see the issue for other protocols as well?

comment:2 Changed on Mar 20, 2009 at 9:03:52 PM by dkocher

  • Milestone set to 3.1.3
  • Resolution set to duplicate
  • Status changed from new to closed

I assume this is a duplicate of #2948. Please reopen if not.

comment:3 Changed on May 4, 2009 at 4:26:56 PM by whschultz@…

This bug was introduced in Version 3.2 for the FTP protocol. The previous version was working fine (for me), but as of the latest update, the problem as described above has been happening.

This isn't the same as #2948. The base URL includes my username, but it's the subdirectory beyond this that is missing from the info dialog.

note: I didn't have permission to reopen the case.

comment:4 Changed on May 4, 2009 at 4:30:29 PM by whschultz@…

strange... this time it worked.

comment:5 Changed on May 8, 2009 at 2:02:00 AM by whschultz

  • Cc whschultz@… added
  • Resolution duplicate deleted
  • Status changed from closed to reopened

Here's how to reproduce:

  • navigate into a subdirectory in FTP.
  • close the program.
  • reopen. you are automatically reconnected.
  • Get info on anything in the current directory.
  • The Web URL will not contain any of that directory hierarchy.
  • If you go up a directory and get info on the directory you just came from, the URL will still be wrong. It appears to be making an assumption about the initial directory which is invalid for an automatic connection.

comment:6 Changed on Jul 22, 2010 at 12:45:17 PM by dkocher

  • Architecture set to PPC
  • Platform set to Mac OS X 10.5

#4526 closed as duplicate.

comment:7 Changed on Sep 23, 2010 at 7:43:01 AM by dkocher

  • Summary changed from Incomplete path in web URLs copied from Info window to Incomplete path in Web URLs for restored sessions

comment:8 Changed on Sep 23, 2010 at 7:45:27 AM by dkocher

  • Milestone changed from 3.2 to 4.1

comment:9 Changed on Oct 4, 2010 at 11:45:04 AM by dkocher

  • Version changed from 3.1.1 to 3.1.2

#5248 closed as duplicate.

comment:10 Changed on Oct 4, 2010 at 11:45:18 AM by dkocher

#4526 closed as duplicate.

comment:12 Changed on Oct 4, 2010 at 11:45:50 AM by dkocher

#5253 closed as duplicate.

comment:13 Changed on Oct 4, 2010 at 4:10:01 PM by dkocher

  • Milestone changed from 4.1 to 3.6.2
  • Resolution set to fixed
  • Status changed from reopened to closed

In r7191.

Note: See TracTickets for help on using tickets.
swiss made software